## ros-melodic-object-recognition-msgs 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(object_recognition_msgs)

# generate the messages and the actionlib server for ROS
find_package(catkin REQUIRED actionlib_msgs genmsg geometry_msgs sensor_msgs shape_msgs std_msgs)

add_action_files(DIRECTORY action FILES ObjectRecognition.action)
add_service_files(DIRECTORY srv FILES GetObjectInformation.srv)

add_message_files(DIRECTORY msg
                  FILES ObjectType.msg
                        ObjectInformation.msg
                        RecognizedObject.msg
                        RecognizedObjectArray.msg
                        Table.msg
                        TableArray.msg
)

generate_messages(DEPENDENCIES actionlib_msgs geometry_msgs sensor_msgs shape_msgs std_msgs)

# define the project
catkin_package(CATKIN_DEPENDS actionlib_msgs geometry_msgs sensor_msgs shape_msgs std_msgs)

=== debian/changelog ===
ros-melodic-object-recognition-msgs (0.4.1-0stretch) stretch; urgency=high

  * have the package be architecture independent
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 10 May 2014 22:00:00 -0000

ros-melodic-object-recognition-msgs (0.4.0-0stretch) stretch; urgency=high

  * "0.4.0"
  * fixes #3 <https://github.com/wg-perception/object_recognition_msgs/issues/3> by moving docs to object_recognition_ros
    remove docs as their built depends on ecto. Put everything in object_recognition_ros
  * let message generation handle Python
  * no need for stack.xml now that Fuerte support is dropped
  * remove redundant info in Table.msg
  * add headers to the Table messages
  * drop Fuerte support
  * change email address
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 07 Dec 2013 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.19-0stretch) stretch; urgency=high

  * use the mesh from shape_msgs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 27 Mar 2013 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.18-0stretch) stretch; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Mar 2013 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.17-0stretch) stretch; urgency=high

  * rename the type to key to keep the DB paradigm
  * add dependencies
  * update the dependencies
  * get the compile to compile even without ecto
  * rename ObjectId to ObjectType
  * add basic docs
  * no need for the include folder that was only used by tabletop
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Mar 2013 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.16-0stretch) stretch; urgency=high

  * add the std_msgs dependency
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 26 Feb 2013 19:19:00 -0000

ros-melodic-object-recognition-msgs (0.3.15-0stretch) stretch; urgency=high

  * fix unneeded dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 26 Feb 2013 10:19:00 -0000

ros-melodic-object-recognition-msgs (0.3.14-0stretch) stretch; urgency=high

  * have the ecto cells be generated in object_recognition_ros
  * CMake cleanups
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Feb 2013 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.13-0stretch) stretch; urgency=high

  * use the proper catkin variable
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Jan 2013 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.12-0stretch) stretch; urgency=high

  * remove some warnings
  * remove some compilation error
  * added an optional ROI into the object recognition action
  * add an other conversion routine
  * Contributors: Tommaso Cavallari, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 03 Jan 2013 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.11-0stretch) stretch; urgency=high

  * install to the right location on Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 18 Nov 2012 16:06:00 -0000

ros-melodic-object-recognition-msgs (0.3.10-0stretch) stretch; urgency=high

  * try to fix the Unknown CMake command "find_program_required".
  * added header to RecognizedObjectArray
  * remove the copyright tag
  * Contributors: Tommaso Cavallari, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 18 Nov 2012 15:50:00 -0000

ros-melodic-object-recognition-msgs (0.3.9-0stretch) stretch; urgency=high

  * fix the install paths
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 02 Nov 2012 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.8-0stretch) stretch; urgency=high

  * fix install on Fuerte
  * find ecto so that we can check whether we are on Fuerte
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Oct 2012 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.7-0stretch) stretch; urgency=high

  * call generate_messages before catkin_package to comply to the new API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 29 Oct 2012 23:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.6-0stretch) stretch; urgency=high

  * fix dependencies
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 10 Oct 2012 22:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.5-0stretch) stretch; urgency=high

  * remove support for Electric which was broken anyway since we are using Shape from Fuerte and above
  * comply to the new API
  * comply to the new catkin API
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 09 Oct 2012 22:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.4-0stretch) stretch; urgency=high

  * have code work with Electric/Fuerte/Groovy
  * use the cleaner pubsub API
  * use the new ectomodule API
  * remove the Shape msg, as mentioned before, this is in common_msgs now
  * add the manifest so that we can build against it on fuerte with rosbuild
  * Merge branch 'master' of https://github.com/wg-perception/object_recognition_msgs
  * updated shape_conversions to use the common_msgs shape message
    instead of the arm_navigation one
  * actually build the message
  * Forgotten shape message
  * Contributors: Jonathan Binney, Mac Mason, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 07 Sep 2012 22:00:00 -0000

ros-melodic-object-recognition-msgs (0.3.3-0stretch) stretch; urgency=high

  * use the mesh message from common_msgs
  * fix the new langs/langs-dev dependencies
  * copy from the current dir
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 01 Jul 2012 22:00:00 -0000



=== debian/control ===
Source: ros-melodic-object-recognition-msgs
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-sensor-msgs, ros-melodic-shape-msgs, ros-melodic-std-msgs
Homepage: http://www.ros.org/wiki/object_recognition
Standards-Version: 3.9.2

Package: ros-melodic-object-recognition-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib-msgs, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-shape-msgs, ros-melodic-std-msgs
Description: Object_recognition_msgs contains the ROS message and the actionlib definition used in object_recognition_core
